commit:     4f1b2af7a4a6e47f8ded23e9fe79863097659412
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 05:03:40 2022 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 05:06:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f1b2af7

dev-ml/tiny_httpd: initial commit

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 dev-ml/tiny_httpd/Manifest               |  1 +
 dev-ml/tiny_httpd/metadata.xml           | 20 +++++++++++++
 dev-ml/tiny_httpd/tiny_httpd-0.12.ebuild | 49 ++++++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/dev-ml/tiny_httpd/Manifest b/dev-ml/tiny_httpd/Manifest
new file mode 100644
index 000000000000..528990da261e
--- /dev/null
+++ b/dev-ml/tiny_httpd/Manifest
@@ -0,0 +1 @@
+DIST tiny_httpd-0.12.tar.gz 49124 BLAKE2B 
c3f407a605dabad1c710a696a3fca5dce04a75deb61e25e9ce572432e0d96cd3029628ea24d17d55a051d1d0f78aa1fd80797e7ff9c0bb7fc9d190e461784cd3
 SHA512 
99b4d01d4f4d138b122c689b8b3bc5043fc386d6686675311f625bf5fec72c6e1a7513712b00889fe17cd392b8c475440d4f89ee46392aff32ac6ccc39cefe09

diff --git a/dev-ml/tiny_httpd/metadata.xml b/dev-ml/tiny_httpd/metadata.xml
new file mode 100644
index 000000000000..44aded2c1fd1
--- /dev/null
+++ b/dev-ml/tiny_httpd/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>ML</name>
+  </maintainer>
+  <use>
+    <flag name="camlzip">Interface to camlzip for tiny_httpd</flag>
+  </use>
+  <upstream>
+    <doc>https://c-cube.github.io/tiny_httpd/</doc>
+    <bugs-to>https://github.com/c-cube/tiny_httpd/issues</bugs-to>
+    <remote-id type="github">c-cube/tiny_httpd</remote-id>
+    <maintainer>
+      <name>Simon Cruanes</name>
+      <email>[email protected]</email>
+    </maintainer>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ml/tiny_httpd/tiny_httpd-0.12.ebuild 
b/dev-ml/tiny_httpd/tiny_httpd-0.12.ebuild
new file mode 100644
index 000000000000..890d8831cf38
--- /dev/null
+++ b/dev-ml/tiny_httpd/tiny_httpd-0.12.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune multiprocessing
+
+DESCRIPTION="Minimal HTTP server with a small request router"
+HOMEPAGE="
+       https://github.com/c-cube/tiny_httpd
+       https://opam.ocaml.org/packages/tiny_httpd
+"
+SRC_URI="https://github.com/c-cube/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="camlzip ocamlopt test"
+
+RDEPEND="
+       dev-ml/result:=
+       dev-ml/seq:=
+
+       camlzip? ( >=dev-ml/camlzip-1.06:= )
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-ml/qtest
+               dev-ml/ounit2
+               dev-ml/ptime
+               dev-ml/qcheck
+               net-misc/curl
+       )
+"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( camlzip )"
+
+src_compile() {
+       local pkgs="tiny_httpd"
+       use camlzip && pkgs="${pkgs},tiny_httpd_camlzip"
+       dune build -p "${pkgs}" -j $(makeopts_jobs) || die
+}
+
+src_install() {
+       dune_src_install tiny_httpd
+       use camlzip && dune_src_install "tiny_httpd_camlzip"
+}

Reply via email to